org.eclipse.actf.visualization.engines.blind.html.util

## Class HtmlErrorLogListener

- java.lang.Object
- - org.eclipse.actf.visualization.engines.blind.html.util.HtmlErrorLogListener

All Implemented Interfaces:
  IErrorLogListener

    public class HtmlErrorLogListener
    extends Object
    implements IErrorLogListener

Implementation of `IErrorLogListener` to correct HTML parse errors.

### Constructor Summary

Constructors
Constructor and Description
`HtmlErrorLogListener()`

### Method Summary

Methods
`void` `errorLog(int arg0, String arg1)` Records error messages.
`String` `getDeclaratedDoctype()` Get DOCTYPE declaration that causes the Invalid DOCTYPE declaration error
`Vector<IProblemItem>` `getHtmlProblemVector()` Get HTML parse errors as `Vector` of `IProblemItem`
`boolean` `isInvalidDoctype()`
`boolean` `isNoDoctypeDeclaration()`
`boolean` `isNonPublicDoctype()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HtmlErrorLogListener

    public HtmlErrorLogListener()

### Method Detail

#### errorLog

    public void errorLog(int arg0,
                String arg1)

Description copied from interface: `IErrorLogListener`
Records error messages.

Specified by:
  `errorLog` in interface `IErrorLogListener`

#### isNoDoctypeDeclaration

    public boolean isNoDoctypeDeclaration()

Returns:
  true if there is no DOCTYPE declaration
See Also:
  `IParserError.DOCTYPE_MISSED`

#### isNonPublicDoctype

    public boolean isNonPublicDoctype()

Returns:
  true if the specified DOCTYPE is not public

#### isInvalidDoctype

    public boolean isInvalidDoctype()

Returns:
  true if Invalid DOCTYPE declaration error is reported
See Also:
  `IParserError.ILLEGAL_DOCTYPE`

#### getDeclaratedDoctype

    public String getDeclaratedDoctype()

Get DOCTYPE declaration that causes the Invalid DOCTYPE declaration error

Returns:
  DOCTYPE declaration

#### getHtmlProblemVector

    public Vector<IProblemItem> getHtmlProblemVector()

Get HTML parse errors as `Vector` of `IProblemItem`

Returns:
  HTML parse errors